From: Sophie Brun <sophie@offensive-security.com>
Date: Tue, 28 Feb 2023 17:37:15 +0100
Subject: Remove sync-starkiller option

The updates must be made with apt.

Forwarded: not-needed
---
 empire.py                | 18 +++++++++---------
 empire/arguments.py      | 18 +++++++++---------
 empire/server/api/app.py | 24 ++++++++++++------------
 3 files changed, 30 insertions(+), 30 deletions(-)

diff --git a/empire.py b/empire.py
index 9c199f7..42a092c 100644
--- a/empire.py
+++ b/empire.py
@@ -12,15 +12,15 @@ if __name__ == "__main__":
         from empire.server import server
 
         server.run(args)
-    elif args.subparser_name == "sync-starkiller":
-        import yaml
-
-        from empire.scripts.sync_starkiller import sync_starkiller
-
-        with open(config_manager.CONFIG_SERVER_PATH) as f:
-            config = yaml.safe_load(f)
-
-        sync_starkiller(config)
+#    elif args.subparser_name == "sync-starkiller":
+#        import yaml
+#
+#        from empire.scripts.sync_starkiller import sync_starkiller
+#
+#        with open(config_manager.CONFIG_SERVER_PATH) as f:
+#            config = yaml.safe_load(f)
+#
+#        sync_starkiller(config)
     elif args.subparser_name == "client":
         from empire.client import client
 
diff --git a/empire/arguments.py b/empire/arguments.py
index d8f8ebe..aceb3b7 100644
--- a/empire/arguments.py
+++ b/empire/arguments.py
@@ -11,15 +11,15 @@ subparsers = parent_parser.add_subparsers(dest="subparser_name")
 
 server_parser = subparsers.add_parser("server", help="Launch Empire Server")
 client_parser = subparsers.add_parser("client", help="Launch Empire CLI")
-sync_starkiller_parser = subparsers.add_parser(
-    "sync-starkiller", help="Sync Starkiller submodule with the config"
-)
-install_parser = subparsers.add_parser("install", help="Install the Empire framework")
-install_parser.add_argument(
-    "-y",
-    action="store_true",
-    help="Automatically say yes to all prompts during installation",
-)
+#sync_starkiller_parser = subparsers.add_parser(
+#    "sync-starkiller", help="Sync Starkiller submodule with the config"
+#)
+#install_parser = subparsers.add_parser("install", help="Install the Empire framework")
+#install_parser.add_argument(
+#    "-y",
+#    action="store_true",
+#    help="Automatically say yes to all prompts during installation",
+#)
 
 # Client Args
 client_parser.add_argument(
diff --git a/empire/server/api/app.py b/empire/server/api/app.py
index 39bdfc8..b6b7559 100644
--- a/empire/server/api/app.py
+++ b/empire/server/api/app.py
@@ -11,7 +11,7 @@ from fastapi import FastAPI
 from starlette.middleware.gzip import GZipMiddleware
 from starlette.staticfiles import StaticFiles
 
-from empire.scripts.sync_starkiller import sync_starkiller
+#from empire.scripts.sync_starkiller import sync_starkiller
 from empire.server.api.middleware import EmpireCORSMiddleware
 from empire.server.api.v2.websocket.socketio import setup_socket_events
 from empire.server.core.config import empire_config
@@ -44,17 +44,17 @@ class MyJsonEncoder(JSONEncoder):
 
 
 def load_starkiller(v2App, ip, port):
-    try:
-        sync_starkiller(empire_config.model_dump())
-    except Exception as e:
-        log.warning("Failed to load Starkiller: %s", e, exc_info=True)
-        log.warning(
-            "If you are trying to pull Starkiller from a private repository ("
-            "such as Starkiller-Sponsors), make sure you have the proper ssh "
-            "credentials set in your Empire config. See "
-            "https://docs.github.com/en/github/authenticating-to-github"
-            "/connecting-to-github-with-ssh"
-        )
+#    try:
+#        sync_starkiller(empire_config.model_dump())
+#    except Exception as e:
+#        log.warning("Failed to load Starkiller: %s", e, exc_info=True)
+#        log.warning(
+#            "If you are trying to pull Starkiller from a private repository ("
+#            "such as Starkiller-Sponsors), make sure you have the proper ssh "
+#            "credentials set in your Empire config. See "
+#            "https://docs.github.com/en/github/authenticating-to-github"
+#            "/connecting-to-github-with-ssh"
+#        )
 
     if (Path(empire_config.starkiller.directory) / "dist").exists():
         v2App.mount(
